package sprzedaz.obiektowo;

import java.util.List;

public class P1_WypiszWybranePola {

    public static void main(String[] args) {
        // TODO Z każdego rekordu wypisz tylko miasto, towar i l.sztuk
        
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        System.out.println("Udało się wczytać " + transakcje.size() + " rekordów");

        for(Transakcja transakcja : transakcje) {
//            System.out.println(transakcja.getMiasto() + ", " + transakcja.getTowar()
//            + ", " + transakcja.getSztuk() + " sztuk");

            System.out.printf("W mieście %s sprzedano %d sztuk towaru %s\n",
                    transakcja.getMiasto(), transakcja.getSztuk(), transakcja.getTowar());
        }

    }

}
